# openstreetmap-tile-server



https://github.com/Overv/openstreetmap-tile-server



Créez un volume Docker pour contenir la base de données PostgreSQL qui contiendra les données OpenStreetMap :

```bash
docker volume create osm-data
```

Téléchargez un `.osm.pbf`extrait de geofabrik.de pour la région qui vous intéresse:

```bash
cd /volume1/docker/dockge/stacks/
mkdir mapserver
cd mapserver
mkdir data
```

```bash
wget http://download.geofabrik.de/france-latest.osm.pbf

wget http://download.geofabrik.de/france.poly
```

L'importer dans PostgreSQL en exécutant un conteneur et en montant le fichier en tant que `/data/region.osm.pbf`.

```bash
docker run \
    -v /volume1/docker/dockge/stacks/mapserver/data/france-latest.osm.pbf:/data/region.osm.pbf \
    -v osm-data:/data/database/ \
    overv/openstreetmap-tile-server \
    import
```

